Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4863 - The sendmail.cf that comes with RH6.0 causes sendmail -bt to report that *EVERYTHING* is delivered via the local mailer
Summary: The sendmail.cf that comes with RH6.0 causes sendmail -bt to report that *EVE...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-02 19:28 UTC by tpavlic
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-05 06:21:25 UTC


Attachments (Terms of Use)

Description tpavlic 1999-09-02 19:28:00 UTC
sendmail on RH6.0 seems to work fine sending mail, but when
one uses sendmail -bt to test an address:

0 tpavlic@netwalk.com
0 tpavlic
0 bob@something.com.UUCP
0 anything@anything

sendmail reports that the mail is delivered locally. This
should not be the case, and cannot be the case as mail is
actually going through. (SMTP mail, that is) I'm trying to
be sure that certain customers of mine who use UUCP will
have their mail routed correctly through sendmail, but
sendmail -bt reports that everything is routed locally,
which makes things very hard to debug. :)

Comment 1 tpavlic 1999-09-02 20:52:59 UTC
I've always used 0 to parse addresses when debugging sendmail.
Someone recently informed me of the /parse routine in sendmail -bt. I
tried /parse and things worked fine.

Comment 2 Cristian Gafton 1999-10-05 06:21:59 UTC
I always thought that ruleset 3 was the one that was handling the
actual resolving to what mailer should be used for a particular
address, and ruleset 0 was only processing the final step of delivery.

Anyway, things now seem to work fin, bug closed.


Note You need to log in before you can comment on or make changes to this bug.